Package: grails.persistence.support

## [Java] Class NullPersistentContextInterceptor

- grails.persistence.support.NullPersistentContextInterceptor

- All Implemented Interfaces and Traits:
    PersistenceContextInterceptor

      public class NullPersistentContextInterceptor
      extends java.lang.Object
      implements PersistenceContextInterceptor

  A dummy persistence context interceptor that does nothing.

  Authors:
    Graeme Rocher
  Since:
    1.1.1

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `clear()`
    `` | `public void` | `destroy()`
    `` | `public void` | `disconnect()`
    `` | `public void` | `flush()`
    `` | `public void` | `init()`
    `` | `public boolean` | `isOpen()`
    `` | `public void` | `reconnect()`
    `` | `public void` | `setReadOnly()`
    `` | `public void` | `setReadWrite()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public void clear()

    - #### public void destroy()

    - #### public void disconnect()

    - #### public void flush()

    - #### public void init()

    - #### public boolean isOpen()

    - #### public void reconnect()

    - #### public void setReadOnly()

    - #### public void setReadWrite()